:: Train Tesseract OCR engine
tesseract openfest-lang.tif junk nobatch box.train

:: Perform clustering
mftraining openfest-lang.tr
ren inttemp openfest-lang.inttemp
ren pffmtable openfest-lang.pffmtable
cntraining openfest-lang.tr
ren normproto openfest-lang.normproto

:: Compute the character set
unicharset_extractor openfest-lang.box
ren unicharset openfest-lang.unicharset

:: Prepare dictionary data
wordlist2dawg openfest-lang.frequent-words.txt openfest-lang.freq-dawg
wordlist2dawg openfest-lang.all-words.txt openfest-lang.word-dawg
echo. > openfest-lang.user-words
echo. > openfest-lang.DangAmbigs

:: Perform cleanup
del openfest-lang.tr
del junk.txt
del Microfeat
del tesseract.log

:: Move the trained language files to tessdata directory
del tessdata\openfest*.*
move openfest-lang.inttemp tessdata
move openfest-lang.normproto tessdata
move openfest-lang.pffmtable tessdata
move openfest-lang.unicharset tessdata
move openfest-lang.freq-dawg tessdata
move openfest-lang.DangAmbigs tessdata
move openfest-lang.user-words tessdata
move openfest-lang.word-dawg tessdata
